{ config, pkgs, lib, ... }: {
  services.thelounge = {
    enable = true;
    public = false;
    port = 7797;
    #plugins;
    #package;
    extraConfig = {
      # Caddy RP
      reverseProxy = true;
      defaults = {
        name = "Esper";
        host = "irc.esper.net";
        port = 6697;
      };
    };
  };
  services.caddy.virtualHosts = {
    "irc.glia.club" = {
      extraConfig = ''
        reverse_proxy localhost:${toString config.services.thelounge.port}
      '';
    };  
  };
}
